package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.StoreTopicEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店活动表Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 16:50:46
 */
public interface StoreTopicService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    StoreTopicEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<StoreTopicEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param storeTopic 实体
     * @return 保存条数
     */
    int save(StoreTopicEntity storeTopic);

    /**
     * 根据主键更新实体
     *
     * @param storeTopic 实体
     * @return 更新条数
     */
    int update(StoreTopicEntity storeTopic);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
